Subject: Re: [PATCH 1/2] ARM: mm: Refactor __do_page_fault()

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 1 Jun 2021 15:31:26 +0100

On Sat, May 29, 2021 at 11:41:37AM +0800, Kefeng Wang wrote:
> 1. cleanup access_error(), make vma flags set and check into
>    __do_page_fault() and do_page_fault() directly.
> 
> 2. drop fsr and task argument, instead, using vm_flags in
>    __do_page_fault().
> 
> 3. cleans up the multiple goto statements in __do_page_fault().
> 
> 4. use current->mm directly in do_page_fault().
> 
> Signed-off-by: Kefeng Wang <[email-masked]>

This patch is a really good example of something that is very difficult
to review and see that there are no unintended changes.

Many people have complained about my patches, where I create a series of
many patches where each patch does exactly _one_ simple transformation to
the code. This is a good example _why_ I do that - a step by step single
transformation approach is way easier to review.

Sorry, but I'm not able to sensibly review this patch, and therefore
I won't apply it. Please split it into smaller changes.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel